<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsDeviceModeR Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#aca6f69208d513995071e69f0f6b84e28">getPeriodAndSkipFactor</a>(uint16_t &amp;period, uint16_t &amp;skip) const </td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#ad3df4ee696f89fef43866f2630fc5d0d">m_outputMode</a></td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#a64b4290afe1c00804fc7b53e115e38c5">m_outputSettings</a></td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#a0b8bf3951742d47406252e347a4496ed">m_updateRate</a></td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#ae875221104a5b480ff797660a9531ea4">operator==</a>(const XsDeviceModeR &amp;dev) const </td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#a3630d7f2256bf8ca343a6ecb79fa9578">setPeriodAndSkipFactor</a>(uint16_t period, uint16_t skip)</td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#aaf1b608d87186f1ce29f6fd0f869d51c">updateRate</a>(void) const </td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_mode_r.html#a360587019835ed47d7bd2615d0ae3321">XsDeviceModeR</a>(const XsOutputMode mode=XS_DEFAULT_OUTPUT_MODE, const XsOutputSettings settings=XS_DEFAULT_OUTPUT_SETTINGS, const uint16_t rate=100)</td><td class="entry"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
